#!/bin/bash

if [ -f '/usr/sbin/wildix_shell_tools' ]; then
	. /usr/sbin/wildix_shell_tools
else
	logger -t "${0}" "ERROR: can't include wildix_shell_tools"
	exit 1
fi

CORES="$1" ; RAM="$2" ; AMAZON="$3" ; DOCKER="$4"

if [ -z $CORES ] || [ -z $RAM ] || [ -z $AMAZON ] || [ -z $DOCKER ]; then
	log "ERROR: zero values (exit)" "${0##*/}"
	exit 0
fi

## workers for fcgiwrapper
FCGI_CONF="/etc/default/fcgiwrap"

if [ "$RAM" -le "512" ]; then
    FCGI_WORKERS="2"
elif [ "$RAM" -gt "512" ] && [ "$RAM" -le "1024" ]; then
    FCGI_WORKERS="4"
elif [ "$RAM" -gt "1024" ] && [ "$RAM" -le "2048" ]; then
    FCGI_WORKERS="8"
elif [ "$RAM" -gt "2048" ] && [ "$RAM" -le "4096" ]; then
    FCGI_WORKERS="16"
elif [ "$RAM" -gt "4096" ] && [ "$RAM" -le "8192" ]; then
    FCGI_WORKERS="32"
elif [ "$RAM" -gt "8192" ]; then
    FCGI_WORKERS="64"
fi

log "Optimization fcgi-workers: $FCGI_WORKERS" "${0##*/}"
echo "DAEMON_OPTS=-fc${FCGI_WORKERS}" > $FCGI_CONF
